From 854d01bfbdece781bad46ab686b08763b8d16a95 Mon Sep 17 00:00:00 2001
From: Yugo Nagata <nagata@sraoss.co.jp>
Date: Fri, 26 Jul 2024 12:02:56 +0900
Subject: [PATCH 2/2] Remove ParamListInfo argument from RefreshMatViewByOid

---
 src/backend/commands/createas.c | 2 +-
 src/backend/commands/matview.c  | 5 ++---
 src/include/commands/matview.h  | 3 +--
 3 files changed, 4 insertions(+), 6 deletions(-)

diff --git a/src/backend/commands/createas.c b/src/backend/commands/createas.c
index a15a1e187e..880425da66 100644
--- a/src/backend/commands/createas.c
+++ b/src/backend/commands/createas.c
@@ -345,7 +345,7 @@ ExecCreateTableAs(ParseState *pstate, CreateTableAsStmt *stmt,
 	if (do_refresh)
 	{
 		RefreshMatViewByOid(address.objectId, false, false,
-							pstate->p_sourcetext, NULL, qc);
+							pstate->p_sourcetext, qc);
 
 		if (qc)
 			qc->commandTag = CMDTAG_SELECT;
diff --git a/src/backend/commands/matview.c b/src/backend/commands/matview.c
index 6bb64be274..aba30caf25 100644
--- a/src/backend/commands/matview.c
+++ b/src/backend/commands/matview.c
@@ -136,7 +136,7 @@ ExecRefreshMatView(RefreshMatViewStmt *stmt, const char *queryString,
 										  NULL);
 
 	return RefreshMatViewByOid(matviewOid, stmt->skipData, stmt->concurrent,
-							   queryString, params, qc);
+							   queryString, qc);
 }
 
 /*
@@ -160,8 +160,7 @@ ExecRefreshMatView(RefreshMatViewStmt *stmt, const char *queryString,
  */
 ObjectAddress
 RefreshMatViewByOid(Oid matviewOid, bool skipData, bool concurrent,
-					const char *queryString, ParamListInfo params,
-					QueryCompletion *qc)
+					const char *queryString, QueryCompletion *qc)
 {
 	Relation	matviewRel;
 	RewriteRule *rule;
diff --git a/src/include/commands/matview.h b/src/include/commands/matview.h
index a226b2e68f..5ff80788fa 100644
--- a/src/include/commands/matview.h
+++ b/src/include/commands/matview.h
@@ -26,8 +26,7 @@ extern void SetMatViewPopulatedState(Relation relation, bool newstate);
 extern ObjectAddress ExecRefreshMatView(RefreshMatViewStmt *stmt, const char *queryString,
 										ParamListInfo params, QueryCompletion *qc);
 extern ObjectAddress RefreshMatViewByOid(Oid matviewOid, bool skipData, bool concurrent,
-										 const char *queryString, ParamListInfo params,
-										 QueryCompletion *qc);
+										 const char *queryString, QueryCompletion *qc);
 
 extern DestReceiver *CreateTransientRelDestReceiver(Oid transientoid);
 
-- 
2.34.1

